## lomiri-system-settings 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(lomiri-system-settings VERSION 1.1.0 LANGUAGES C CXX)

if(${PROJECT_BINARY_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
   message(FATAL_ERROR "In-tree build attempt detected, aborting. Set your build dir outside your source dir, delete CMakeCache.txt from source root and try again.")
endif()

string(TOLOWER "${CMAKE_BUILD_TYPE}" cmake_build_type_lower) # Build types should always be lowercase but sometimes they are not.

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include(EnableCoverageReport)
include(FindPkgConfig)
include(GNUInstallDirs)
set(LIBDIR ${CMAKE_INSTALL_LIBDIR})
enable_testing()

option(ENABLE_TESTS "Build tests" ON)
option(ENABLE_LIBDEVICEINFO "Build with libdeviceinfo support" OFF)
option(ENABLE_UBUNTU_ACCOUNTSSERVICE "Build with Ubuntu's fork of accountsservice" OFF)

if(cmake_build_type_lower MATCHES coverage)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage" )
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --coverage" )
  set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} --coverage" )
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} --coverage" )

  # We add -g when building with coverage so valgrind reports line numbers.
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g" )
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g" )
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -fno-permissive -pedantic -Wall -Wextra")
find_package(Qt5Concurrent REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Qml REQUIRED)
find_package(Qt5Quick REQUIRED)
find_package(Qt5Sql REQUIRED)
find_package(Qt5Test REQUIRED)
find_package(Qt5Widgets REQUIRED)

# Workaround for https://bugreports.qt-project.org/browse/QTBUG-29987
set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/qml")
set(CMAKE_AUTOMOC ON)

pkg_search_module(GOBJECT REQUIRED gobject-2.0)
pkg_search_module(GLIB REQUIRED glib-2.0)
pkg_check_modules(GIO REQUIRED gio-2.0 gio-unix-2.0)
pkg_search_module(UPOWER_GLIB REQUIRED upower-glib)
pkg_search_module(ACCOUNTSSERVICE REQUIRED accountsservice)
if (ENABLE_UBUNTU_ACCOUNTSSERVICE)
    add_compile_definitions(ENABLE_UBUNTU_ACCOUNTSSERVICE)
endif ()
pkg_search_module(GEONAMES REQUIRED geonames)
pkg_search_module(ICU REQUIRED icu-i18n)
pkg_search_module(ANDR_PROP libandroid-properties)
pkg_search_module(CLICK REQUIRED click-0.4)
pkg_check_modules(QTGSETTINGS REQUIRED gsettings-qt)
if(ENABLE_LIBDEVICEINFO)
    pkg_check_modules(DEVICEINFO REQUIRED deviceinfo)
endif()

set(DATA_DIR share)
set(MODULE_DIR lomiri-system-settings)
set(MANIFEST_DIR lomiri-system-settings)
set(QML_DIR qml-plugins)
set(PRIVATE_DIR private)

# share/lomiri-system-settings
set(PLUGIN_MANIFEST_DIR_BASE ${DATA_DIR}/${MANIFEST_DIR})
# lomiri-system-settings
set(PLUGIN_MODULE_DIR_BASE ${MODULE_DIR})
# lomiri-system-settings/private
set(PLUGIN_PRIVATE_MODULE_DIR_BASE "${PLUGIN_MODULE_DIR_BASE}/${PRIVATE_DIR}")
# share/lomiri-system-settings/qml-plugins
set(PLUGIN_QML_DIR_BASE ${DATA_DIR}/${MANIFEST_DIR}/${QML_DIR})
# E.g. /usr/share/lomiri-system-settings
set(PLUGIN_MANIFEST_DIR "${CMAKE_INSTALL_PREFIX}/${PLUGIN_MANIFEST_DIR_BASE}")
# E.g. /usr/lib/lomiri-system-settings
set(PLUGIN_MODULE_DIR "${CMAKE_INSTALL_PREFIX}/${LIBDIR}/${PLUGIN_MODULE_DIR_BASE}")
# E.g. /usr/share/lomiri-system-settings/qml-plugins
set(PLUGIN_QML_DIR "${CMAKE_INSTALL_PREFIX}/${PLUGIN_QML_DIR_BASE}")
# E.g. /usr/lib/lomiri-system-settings/private
set(PLUGIN_PRIVATE_MODULE_DIR "${CMAKE_INSTALL_PREFIX}/${LIBDIR}/${PLUGIN_PRIVATE_MODULE_DIR_BASE}")
set(SETTINGS_SHARE_DIR "${CMAKE_INSTALL_PREFIX}/${PLUGIN_MANIFEST_DIR_BASE}")

SET(CMAKE_INSTALL_RPATH "${PLUGIN_MODULE_DIR}")

set(DESKTOP_FILE lomiri-system-settings.desktop)
set(GETTEXT_PACKAGE lomiri-system-settings)
set(DESKTOP_FILE ${PROJECT_NAME}.desktop)

add_subdirectory(po)
add_subdirectory(schema)
add_subdirectory(lib)
include_directories(lib)
include_directories(src)
add_subdirectory(plugins)
add_subdirectory(src)
if(ENABLE_TESTS)
  pkg_check_modules(QTDBUSMOCK REQUIRED libqtdbusmock-1 REQUIRED)
  pkg_check_modules(QTDBUSTEST REQUIRED libqtdbustest-1 REQUIRED)
  add_subdirectory(tests)
endif()

include(FindGettext)
configure_file(${DESKTOP_FILE}.in.in ${DESKTOP_FILE}.in)
add_custom_target(${DESKTOP_FILE} ALL
    COMMENT "Merging translations into ${DESKTOP_FILE}..."
    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
            --desktop --template=${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in
            -o ${DESKTOP_FILE}
            -d ${CMAKE_SOURCE_DIR}/po
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
        DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

install(FILES lomiri-system-settings.url-dispatcher DESTINATION share/lomiri-url-dispatcher/urls)
install(FILES screenshot.png DESTINATION ${SETTINGS_SHARE_DIR})
install(FILES system-settings.svg DESTINATION ${SETTINGS_SHARE_DIR})
install(FILES system-settings-app-splash.svg DESTINATION ${SETTINGS_SHARE_DIR})

if(cmake_build_type_lower MATCHES coverage)
  ENABLE_COVERAGE_REPORT(TARGETS system-settings FILTER /usr/include ${CMAKE_SOURCE_DIR}/tests/* ${CMAKE_BINARY_DIR}/*)
endif()

=== po/CMakeLists.txt ===
include(FindGettext)

find_program(GETTEXT_XGETTEXT_EXECUTABLE xgettext)
if("${GETTEXT_XGETTEXT_EXECUTABLE}" STREQUAL "GETTEXT_XGETTEXT_EXECUTABLE-NOTFOUND")
    message(FATAL_ERROR "Could not find xgettext")
endif()

set(DOMAIN ${PROJECT_NAME})
set(POT_FILE ${DOMAIN}.pot)

file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/LINGUAS LINGUAS
     REGEX "^[^#].*")
string(REGEX MATCHALL "[^ \t]+" LANGS "${LINGUAS}")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/POTFILES.in
               ${CMAKE_CURRENT_BINARY_DIR}/POTFILES COPYONLY)

add_custom_target(${POT_FILE} ALL
                  COMMENT "Generating translation template"
                  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
                          --from-code=UTF-8
                          --language=Desktop
                          --package-name='${PROJECT_NAME}'
                          --copyright-holder='Canonical Ltd.'
                          --keyword --keyword=Name --keyword=Keywords
                          -D ${CMAKE_BINARY_DIR}
                          ${DESKTOP_FILE}.in
                  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
                          -D ${CMAKE_SOURCE_DIR}
                          -D ${CMAKE_CURRENT_SOURCE_DIR}
                          -D ${CMAKE_CURRENT_BINARY_DIR}
                          --from-code=UTF-8
                          --c++
                          --qt
                          --add-comments=TRANSLATORS
                          --keyword=_ --keyword=tr --keyword=tr:1,2
                          --package-name='${PROJECT_NAME}'
                          --copyright-holder='Canonical Ltd.'
                          --join-existing --files-from=${CMAKE_CURRENT_BINARY_DIR}/POTFILES)

foreach(LANG ${LANGS})
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${LANG}.po
                   ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po
                   COPYONLY)
endforeach(LANG)
gettext_process_pot_file(${POT_FILE} ALL
                         INSTALL_DESTINATION ${CMAKE_INSTALL_LOCALEDIR}
                         LANGUAGES ${LANGS})

=== src/CMakeLists.txt ===
include_directories(${GLIB_INCLUDE_DIRS})

add_definitions(-DI18N_DIRECTORY="${CMAKE_INSTALL_PREFIX}/share/locale")
add_definitions(-DI18N_DOMAIN="lomiri-system-settings")
add_definitions(-DPLUGIN_PRIVATE_MODULE_DIR="${PLUGIN_PRIVATE_MODULE_DIR}")
add_definitions(-DMANIFEST_DIR="${MANIFEST_DIR}")
add_definitions(-DPLUGIN_MANIFEST_DIR="${PLUGIN_MANIFEST_DIR}")
add_definitions(-DQML_DIR="${QML_DIR}")
add_definitions(-DPLUGIN_QML_DIR="${PLUGIN_QML_DIR}")
add_definitions(-DPLUGIN_MODULE_DIR="${PLUGIN_MODULE_DIR}")

add_subdirectory(SystemSettings)

set(USS_SOURCES
    debug.cpp
    item-model.cpp
    main.cpp
    plugin-manager.cpp
    plugin.cpp
    utils.cpp
)

set(QML_SOURCES
    qml/AdaptiveContainer.qml
    qml/CategorySection.qml
    qml/EntryComponent.qml
    qml/EntryComponentGrid.qml
    qml/EntryComponentList.qml
    qml/MainWindow.qml
    qml/UncategorizedItemsView.qml
    SystemSettings/ItemPage.qml
    SystemSettings/SettingsItemTitle.qml
)

QT5_ADD_RESOURCES(system-settings-resources ui.qrc)

add_executable(lomiri-system-settings ${USS_SOURCES} ${QML_SOURCES} ${system-settings-resources})
target_link_libraries(lomiri-system-settings Qt5::Core Qt5::Gui Qt5::Quick Qt5::Qml Qt5::DBus Qt5::Widgets LomiriSystemSettings LomiriSystemSettingsPrivate ${GLIB_LDFLAGS})
install(TARGETS lomiri-system-settings RUNTIME DESTINATION bin)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/url-map.ini DESTINATION ${PLUGIN_MANIFEST_DIR})

=== lib/LomiriSystemSettings/CMakeLists.txt ===
add_library(LomiriSystemSettings SHARED item-base.cpp item-base.h)
set_target_properties(LomiriSystemSettings PROPERTIES
VERSION 1.1.0
SOVERSION 1
)

target_link_libraries(LomiriSystemSettings Qt5::Core Qt5::Gui Qt5::Quick Qt5::Qml)

install(TARGETS LomiriSystemSettings LIBRARY DESTINATION ${LIBDIR})
install(FILES item-base.h ItemBase plugin-interface.h PluginInterface
DESTINATION include/LomiriSystemSettings)

set(SYSTEMSETTINGS_LIB LomiriSystemSettings)
configure_file(LomiriSystemSettings.pc.in LomiriSystemSettings.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/LomiriSystemSettings.pc DESTINATION ${LIBDIR}/pkgconfig)

=== plugins/background/CMakeLists.txt ===
add_subdirectory(Components)
add_subdirectory(Theme)

set(QML_SOURCES
    MainPage.qml
    WallpaperGrid.qml
    Preview.qml
    utilities.js
)
add_library(LomiriBackgroundPanel MODULE
plugin.cpp background.cpp plugin.h background.h
${QML_SOURCES}) # So they show up in Qt designer.

target_link_libraries(LomiriBackgroundPanel Qt5::Qml Qt5::Quick Qt5::DBus LomiriSystemSettingsPrivate)

set(PLUG_DIR ${PLUGIN_PRIVATE_MODULE_DIR}/Lomiri/SystemSettings/Background)
install(TARGETS LomiriBackgroundPanel DESTINATION ${PLUG_DIR})
install(FILES qmldir DESTINATION ${PLUG_DIR})
install(FILES ${QML_SOURCES} DESTINATION ${PLUGIN_QML_DIR}/background)
install(FILES welcomeoverlay.svg import-image@18.png header_handlearrow.png header_handlearrow2.png bullet.png
        DESTINATION ${PLUGIN_QML_DIR}/background)
install(FILES settings-background.svg DESTINATION ${PLUGIN_MANIFEST_DIR}/icons)
install(FILES background.settings DESTINATION ${PLUGIN_MANIFEST_DIR})

=== plugins/launcher/CMakeLists.txt ===
add_subdirectory(plugin)

set(QML_SOURCES PageComponent.qml)
set(PANEL_SOURCES
    launcher.h
    launcher_impl.cpp
    plugin.cpp
    plugin.h
    ${QML_SOURCES}
)

add_library(LomiriLauncherPanel MODULE ${PANEL_SOURCES} ${QML_SOURCES})
target_link_libraries(LomiriLauncherPanel Qt5::Qml Qt5::Widgets)

set(PLUG_DIR ${PLUGIN_PRIVATE_MODULE_DIR}/Lomiri/SystemSettings/Launcher)
install(TARGETS LomiriLauncherPanel DESTINATION ${PLUG_DIR})
install(FILES qmldir.in DESTINATION ${PLUG_DIR} RENAME qmldir)

install(FILES launcher.settings DESTINATION ${PLUGIN_MANIFEST_DIR})
install(FILES ${QML_SOURCES} DESTINATION ${PLUGIN_QML_DIR}/launcher)

=== plugins/reset/CMakeLists.txt ===
set(QML_SOURCES EntryComponent.qml
    EraseEverything.qml
    PageComponent.qml
    ResetAllSettings.qml
    ResetLauncherHome.qml
)

add_library(LomiriResetPanel MODULE
  plugin.cpp
  reset.cpp
  plugin.h
  reset.h
  ${QML_SOURCES}
)

target_link_libraries(LomiriResetPanel Qt5::Qml Qt5::Quick Qt5::DBus LomiriSystemSettingsPrivate)

set(PLUG_DIR ${PLUGIN_PRIVATE_MODULE_DIR}/Lomiri/SystemSettings/Reset)
install(TARGETS LomiriResetPanel DESTINATION ${PLUG_DIR})
install(FILES qmldir DESTINATION ${PLUG_DIR})
install(FILES reset.settings DESTINATION ${PLUGIN_MANIFEST_DIR})
install(FILES settings-reset.svg DESTINATION ${PLUGIN_MANIFEST_DIR}/icons)
install(FILES ${QML_SOURCES} DESTINATION ${PLUGIN_QML_DIR}/reset)

=== tests/plugins/CMakeLists.txt ===
# add_qml_test macro
include(QmlTest)

add_subdirectory(bluetooth)
add_subdirectory(wifi)
add_subdirectory(notifications)

set(qmltest_DEFAULT_TARGETS qmluitests)
set(qmltest_DEFAULT_PROPERTIES ENVIRONMENT "LC_ALL=C")
set(qmltest_DEFAULT_IMPORT_PATHS
  ${CMAKE_BINARY_DIR}/tests/utils/modules
)

add_qml_test(mouse mouse
             IMPORT_PATHS
             ${CMAKE_BINARY_DIR}/plugins
             ${CMAKE_SOURCE_DIR}/tests/plugins/mouse
             ${qmltest_DEFAULT_IMPORT_PATHS})

add_qml_test(wifi OtherNetwork
             IMPORT_PATHS
             ${CMAKE_BINARY_DIR}/tests/mocks/
             ${CMAKE_SOURCE_DIR}/src
             ${CMAKE_CURRENT_SOURCE_DIR}/wifi
             ${qmltest_DEFAULT_IMPORT_PATHS})

set(SYSTEMUPDATE_IMPORT_PATHS
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_BINARY_DIR}/tests/utils/modules
    ${CMAKE_BINARY_DIR}/tests/mocks/
    ${CMAKE_SOURCE_DIR}/tests/plugins/system-update
)

add_qml_test(main MainWindow
    IMPORT_PATHS
    ${CMAKE_BINARY_DIR}/tests/mocks/
    ${CMAKE_SOURCE_DIR}/tests/plugins/main
    ${qmltest_DEFAULT_IMPORT_PATHS}
)

set(LAUNCHER_IMPORT_PATHS
    ${CMAKE_BINARY_DIR}/tests/mocks/
    ${CMAKE_SOURCE_DIR}/tests/plugins/launcher
    ${qmltest_DEFAULT_IMPORT_PATHS}
)
add_qml_test(launcher LauncherPageComponent IMPORT_PATHS ${LAUNCHER_IMPORT_PATHS})

=== plugins/battery/plugin/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR})

include_directories(${GLIB_INCLUDE_DIRS} ${UPOWER_GLIB_INCLUDE_DIRS})

add_definitions(-DQT_NO_KEYWORDS)


add_library(battery-plugin SHARED battery-plugin.h battery-plugin.cpp)
target_link_libraries(battery-plugin Qt5::Core Qt5::Qml LomiriSystemSettings ${GLIB_LDFLAGS} ${UPOWER_GLIB_LDFLAGS})
install(TARGETS battery-plugin DESTINATION ${PLUGIN_MODULE_DIR})

=== plugins/launcher/plugin/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR} ../)

add_definitions(-DLAUNCHER_PLUGIN_QML_DIR="${PLUGIN_QML_DIR}/launcher" -DQT_NO_KEYWORDS)
add_library(launcher-plugin SHARED launcher-plugin.h launcher-plugin.cpp ../launcher.h ../launcher_impl.cpp)
target_include_directories(launcher-plugin PUBLIC ${GIO_INCLUDE_DIRS})
target_link_libraries(launcher-plugin ${GIO_LIBRARIES} Qt5::Core Qt5::Qml Qt5::Widgets LomiriSystemSettings)
install(TARGETS launcher-plugin DESTINATION ${PLUGIN_MODULE_DIR})
install(FILES GuAccessor.qml DESTINATION ${PLUGIN_QML_DIR}/launcher)

=== tests/mocks/MeeGo/QOfono/CMakeLists.txt ===
set(MOCK_QOFONO_SOURCES
    plugin.cpp
    MockQOfono.cpp
    MockQOfonoManager.cpp
)

add_library(MockQOfono MODULE ${MOCK_QOFONO_SOURCES})

target_link_libraries(MockQOfono Qt5::Qml Qt5::Quick Qt5::Core)

add_lss_mock(MeeGo.QOfono 0.2 MeeGo/QOfono TARGETS MockQOfono)

=== tests/mocks/Lomiri/SystemSettings/Wifi/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/plugins/wifi/
    ${Qt5Core_INCLUDE_DIRS}
    ${Qt5Quick_INCLUDE_DIRS}
    ${Qt5Qml_INCLUDE_DIRS}
)

set(MOCK_WIFI_SRCS
    MockCertHandler.h
    MockCertHandler.cpp
    MockDbusHelper.h
    MockDbusHelper.cpp
    plugin.cpp
)

add_library(MockLomiriWifiPanel SHARED ${MOCK_WIFI_SRCS})

target_link_libraries(MockLomiriWifiPanel
    ${Qt5Core_LIBRARIES}
    ${Qt5Quick_LIBRARIES}
    ${Qt5Qml_LIBRARIES}
)

add_lss_mock(Lomiri.SystemSettings.Wifi 1.0 Lomiri/SystemSettings/Wifi
             TARGETS MockLomiriWifiPanel)

=== debian/changelog ===
lomiri-system-settings (1.1.0-2) unstable; urgency=medium

  * debian/control:
    + Update LONG_DESCRIPTION fields. Lomiri is not a desktop environment, but
      an operating environment.
    + Add to D: lomiri-system-settings-security-privacy. This introduces a
      cyclic dependency between l-s-s and l-s-s-security-privacy. The
      battery plugin in l-s-s requires QML code from l-s-s-security-privacy
      while l-s-s-security-privacy requires the l-s-s UI for being displayed.
  * debian/patches:
    + Drop 2003_hide-lock-on-suspend-or-sleep.patch. lomiri-system-settings-
      security-privacy is now available in Debian.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 26 Mar 2024 21:52:15 +0100

lomiri-system-settings (1.1.0-1) unstable; urgency=medium

  * debian/patches:
    + Add 1004_qofono-module-notifications-plugin.patch. Fix not displayed
      notifications plugin (wrong module path for QOfono QML module).
    + Add 2003_hide-lock-on-suspend-or-sleep.patch. Comment lock-on-suspend /
      sleep-when-idle setting until l-s-s-security-privacy has been uploaded
      to Debian.
  * debian/control:
    + Update versioned D on qml-module-ofono to (>= 0.117~).
    + Add to B-D: (for unit tests): qml-module-ofono (>=0.117~).
    + Switch from pkg-config to pkgconf. Thanks, lintian.
  * debian/{control,rules}:
    + B-D and D clean-up. Drop various Python dependencies.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 11 Mar 2024 12:33:08 +0100

lomiri-system-settings (1.0.2-2) unstable; urgency=medium

  * debian/control:
    + Add to R: lomiri-system-settings-online-accounts.
    + Add to D: upower.
    + Add to D: qml-module-lomiri-settings-fingerprint.
    + Add to B-D: libdeviceinfo-dev.
    + Add to B-D: qml-module-lomiri-settings-fingerprint (for unit tests).
    + Drop from B-D: gdb.
  * debian/rules:
    + Build with -DENABLE_LIBDEVICEINFO=ON.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 05 Mar 2024 09:18:05 +0100

=== debian/control ===
Source: lomiri-system-settings
Section: misc
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Marius Gripsgard <marius@ubports.com>,
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras,
               dbus-test-runner,
               debhelper-compat (= 13),
               gir1.2-glib-2.0 <!nocheck>,
               intltool,
               libaccountsservice-dev,
               libapt-pkg-dev,
               libclick-dev,
               libdeviceinfo-dev,
               libevdev-dev,
               libgeonames-dev,
               libglib2.0-dev (>= 2.37.92),
               libgnome-desktop-3-dev,
               libgsettings-qt-dev,
               libicu-dev,
               libqmenumodel-dev,
               libqt5sql5-sqlite <!nocheck>,
               libqtdbusmock1-dev (>= 0.2+14.04.20140724) <!nocheck>,
               libqtdbustest1-dev <!nocheck>,
               libudev-dev,
               libupower-glib-dev,
               pkgconf,
               python3-dbus (>= 0.30.2) <!nocheck>,
               python3-gi <!nocheck>,
               python3-setuptools,
               python3:any <!nocheck>,
               qml-module-lomiri-components <!nocheck>,
               qml-module-lomiri-settings-components <!nocheck>,
               qml-module-lomiri-settings-fingerprint <!nocheck>,
               qml-module-lomiri-settings-menus <!nocheck>,
               qml-module-lomiri-settings-vpn <!nocheck>,
               qml-module-ofono (>=0.117~) <!nocheck>,
               qml-module-qtcontacts,
               qml-module-qtquick-layouts,
               qml-module-qtquick2 <!nocheck>,
               qml-module-qtsysteminfo (>= 5.0~),
               qml-module-qttest <!nocheck>,
               qtbase5-dev,
               qtbase5-private-dev <!nocheck>,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               suru-icon-theme,
               xvfb <!nocheck>,
               xauth <!nocheck>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-system-settings
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-system-settings.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-system-settings

Package: lomiri-system-settings
Architecture: any
Depends: accountsservice,
         bluez (>= 5.23),
         click | ubuntu-snappy-cli,
         gir1.2-glib-2.0,
         gsettings-desktop-schemas,
         fonts-noto-core,
         liblomirisystemsettings1 (= ${binary:Version}),
         lomiri-system-settings-security-privacy,
         lomiri-indicator-network,
         lomiri-schemas,
         maliit-keyboard,
         qmenumodel-qml,
         qml-module-gsettings1.0,
         qml-module-lomiri-components,
         qml-module-lomiri-components-extras,
         qml-module-lomiri-connectivity (>= 0.7.1),
         qml-module-lomiri-content,
         qml-module-lomiri-settings-components,
         qml-module-lomiri-settings-fingerprint,
         qml-module-lomiri-settings-menus,
         qml-module-lomiri-settings-vpn,
         qml-module-ofono (>=0.117~),
         qml-module-qt-labs-folderlistmodel,
         qml-module-qtmultimedia | qml-module-qtmultimedia-gles,
         qml-module-qtsysteminfo,
         suru-icon-theme (>= 14.04+15.04.20150813~),
         lomiri-wallpapers,
         upower,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: aethercast,
          dbus-property-service,
          system-image-dbus (>= 3.1),
          urfkill,
Recommends: lomiri-sounds,
            lomiri-system-settings-online-accounts,
            repowerd,
Description: System Settings application for Lomiri
 Lomiri-system-settings is the System Settings application used in Lomiri
 operating environment. it's designed for phones, tablets and convergent
 devices.

Package: liblomirisystemsettings1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: System Settings application for Lomiri - plug-in library
 Lomiri-system-settings is the System Settings application used in Lomiri
 operating environment. it's designed for phones, tablets and convergent
 devices.
 .
 This package contains the library used by settings plugins.

Package: liblomirisystemsettings-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblomirisystemsettings1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: System Settings application for Lomiri - plug-in development files
 Lomiri-system-settings is the System Settings application used in Lomiri
 operating environment. it's designed for phones, tablets and convergent
 devices.
 .
 This package contains the plug-in library's development files.

Package: liblomirisystemsettingsprivate0.0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: System Settings application for Lomiri - private library
 Lomiri-system-settings is the System Settings application used in Lomiri
 operating environment. it's designed for phones, tablets and convergent
 devices.
 .
 This package contains the private library used by some settings plugins.

Package: liblomirisystemsettingsprivate-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblomirisystemsettingsprivate0.0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: System Settings application for Lomiri - private development files
 Lomiri-system-settings is the System Settings application used in Lomiri
 operating environment. it's designed for phones, tablets and convergent
 devices.
 .
 This package contains the private library's development files.

#Package: lomiri-system-settings-autopilot
#Architecture: all
#Depends: dpkg-dev,
#         gir1.2-upowerglib-1.0,
#         libautopilot-qt,
#         lomiri-system-settings,
#         lomiri-ui-toolkit-autopilot,
#         python3-autopilot,
#         python3-dateutil,
#         python3-dbusmock (>= 0.14),
#         python3-evdev,
#         ${misc:Depends},
#         ${python3:Depends}
#Description: System Settings application for Lomiri - Autopilot tests
# Lomiri-system-settings is the System Settings application used in Lomiri
# operating environment. it's designed for phones, tablets and convergent
# devices.
# .
# This package contains the autopilot tests for lomiri-system-settings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export QT_SELECT=qt5

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

testskip_architectures := powerpc

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
export DEB_BUILD_PROFILES := cross
endif

ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
export CONFIGURE_FLAGS := -DENABLE_TESTS=OFF
endif



export HOME=$(CURDIR)/debian/build

override_dh_auto_configure:
	# Debian defines CMAKE_INSTALL_LOCALSTATEDIR as /usr/var, which is wrong.
	# So until Debian bug 719148 is fixed, do it ourselves.
	dh_auto_configure -- -DCMAKE_INSTALL_LOCALSTATEDIR="/var"	\
	                     -DMODERN_PYTHON_DBUSMOCK=ON		\
	                     -DENABLE_LIBDEVICEINFO=ON			\
	                     $(CONFIGURE_FLAGS)

override_dh_auto_build:
	dh_auto_build --parallel

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(BUILDHOME)

override_dh_auto_test:
	mkdir -p $(HOME)
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifneq (,$(filter $(DEB_HOST_ARCH),$(testskip_architectures)))
	-dh_auto_test --no-parallel
else
	dh_auto_test --no-parallel
endif
endif

override_dh_install:
#	cd tests/autopilot; \
#	set -ex; for python in $(shell py3versions -r); do \
#		$$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
#	done; \
#	cd $(CURDIR)
	dh_install -X'*.pyc'

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/ubuntu-system-settings

override_dh_missing:
	dh_missing --fail-missing

%:
	dh $@

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## lomiri-system-settings 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.5)
 
-project(lomiri-system-settings VERSION 1.1.0 LANGUAGES C CXX)
+project(lomiri-system-settings VERSION 1.2.0 LANGUAGES C CXX)
 
 if(${PROJECT_BINARY_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    message(FATAL_ERROR "In-tree build attempt detected, aborting. Set your build dir outside your source dir, delete CMakeCache.txt from source root and try again.")
@@ -18,6 +18,8 @@
 option(ENABLE_TESTS "Build tests" ON)
 option(ENABLE_LIBDEVICEINFO "Build with libdeviceinfo support" OFF)
 option(ENABLE_UBUNTU_ACCOUNTSSERVICE "Build with Ubuntu's fork of accountsservice" OFF)
+# TODO: drop this with migration to jammy and beyond!
+option(MODERN_PYTHON_DBUSMOCK "Adapt tst-bluetooth-device to work with python-dbusmock 0.26+" ON)
 
 if(cmake_build_type_lower MATCHES coverage)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage" )
@@ -32,8 +34,10 @@
 
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -fno-permissive -pedantic -Wall -Wextra")
 find_package(Qt5Concurrent REQUIRED)
+find_package(Qt5Core REQUIRED)
 find_package(Qt5DBus REQUIRED)
 find_package(Qt5Gui REQUIRED)
+find_package(Qt5Network REQUIRED)
 find_package(Qt5Qml REQUIRED)
 find_package(Qt5Quick REQUIRED)
 find_package(Qt5Sql REQUIRED)
@@ -47,6 +51,9 @@
 pkg_search_module(GOBJECT REQUIRED gobject-2.0)
 pkg_search_module(GLIB REQUIRED glib-2.0)
 pkg_check_modules(GIO REQUIRED gio-2.0 gio-unix-2.0)
+pkg_check_modules(LIBSYSTEMD REQUIRED libsystemd)
+pkg_check_modules(POLKIT_AGENT REQUIRED polkit-agent-1)
+pkg_check_modules(TRUST_STORE REQUIRED trust-store)
 pkg_search_module(UPOWER_GLIB REQUIRED upower-glib)
 pkg_search_module(ACCOUNTSSERVICE REQUIRED accountsservice)
 if (ENABLE_UBUNTU_ACCOUNTSSERVICE)
@@ -61,29 +68,32 @@
     pkg_check_modules(DEVICEINFO REQUIRED deviceinfo)
 endif()
 
-set(DATA_DIR share)
+include(JoinPaths)
+
+# <datadir>: E.g. "share", "/usr/share" "/not/regular/prefix/share"
+set(DATA_DIR "${CMAKE_INSTALL_DATADIR}")
 set(MODULE_DIR lomiri-system-settings)
 set(MANIFEST_DIR lomiri-system-settings)
 set(QML_DIR qml-plugins)
 set(PRIVATE_DIR private)
 
-# share/lomiri-system-settings
-set(PLUGIN_MANIFEST_DIR_BASE ${DATA_DIR}/${MANIFEST_DIR})
+# <datadir>/lomiri-system-settings
+set(PLUGIN_MANIFEST_DIR_BASE "${DATA_DIR}/${MANIFEST_DIR}")
 # lomiri-system-settings
 set(PLUGIN_MODULE_DIR_BASE ${MODULE_DIR})
 # lomiri-system-settings/private
 set(PLUGIN_PRIVATE_MODULE_DIR_BASE "${PLUGIN_MODULE_DIR_BASE}/${PRIVATE_DIR}")
-# share/lomiri-system-settings/qml-plugins
-set(PLUGIN_QML_DIR_BASE ${DATA_DIR}/${MANIFEST_DIR}/${QML_DIR})
+# <datadir>/lomiri-system-settings/qml-plugins
+set(PLUGIN_QML_DIR_BASE "${DATA_DIR}/${MANIFEST_DIR}/${QML_DIR}")
 # E.g. /usr/share/lomiri-system-settings
-set(PLUGIN_MANIFEST_DIR "${CMAKE_INSTALL_PREFIX}/${PLUGIN_MANIFEST_DIR_BASE}")
+join_paths(PLUGIN_MANIFEST_DIR "${CMAKE_INSTALL_PREFIX}" "${PLUGIN_MANIFEST_DIR_BASE}")
 # E.g. /usr/lib/lomiri-system-settings
-set(PLUGIN_MODULE_DIR "${CMAKE_INSTALL_PREFIX}/${LIBDIR}/${PLUGIN_MODULE_DIR_BASE}")
+join_paths(PLUGIN_MODULE_DIR "${CMAKE_INSTALL_PREFIX}" "${LIBDIR}/${PLUGIN_MODULE_DIR_BASE}")
 # E.g. /usr/share/lomiri-system-settings/qml-plugins
-set(PLUGIN_QML_DIR "${CMAKE_INSTALL_PREFIX}/${PLUGIN_QML_DIR_BASE}")
+join_paths(PLUGIN_QML_DIR "${CMAKE_INSTALL_PREFIX}" "${PLUGIN_QML_DIR_BASE}")
 # E.g. /usr/lib/lomiri-system-settings/private
-set(PLUGIN_PRIVATE_MODULE_DIR "${CMAKE_INSTALL_PREFIX}/${LIBDIR}/${PLUGIN_PRIVATE_MODULE_DIR_BASE}")
-set(SETTINGS_SHARE_DIR "${CMAKE_INSTALL_PREFIX}/${PLUGIN_MANIFEST_DIR_BASE}")
+join_paths(PLUGIN_PRIVATE_MODULE_DIR "${CMAKE_INSTALL_PREFIX}" "${LIBDIR}/${PLUGIN_PRIVATE_MODULE_DIR_BASE}")
+join_paths(SETTINGS_SHARE_DIR "${CMAKE_INSTALL_PREFIX}" "${PLUGIN_MANIFEST_DIR_BASE}")
 
 SET(CMAKE_INSTALL_RPATH "${PLUGIN_MODULE_DIR}")
 
@@ -117,7 +127,7 @@
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
         DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
 
-install(FILES lomiri-system-settings.url-dispatcher DESTINATION share/lomiri-url-dispatcher/urls)
+install(FILES lomiri-system-settings.url-dispatcher DESTINATION ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls)
 install(FILES screenshot.png DESTINATION ${SETTINGS_SHARE_DIR})
 install(FILES system-settings.svg DESTINATION ${SETTINGS_SHARE_DIR})
 install(FILES system-settings-app-splash.svg DESTINATION ${SETTINGS_SHARE_DIR})

=== plugins/CMakeLists.txt ===
if(ANDR_PROP_FOUND)
    add_subdirectory(about)
    add_subdirectory(brightness)
    add_subdirectory(nfc)
endif()
add_subdirectory(background)
add_subdirectory(battery)
add_subdirectory(bluetooth)
add_subdirectory(example)
add_subdirectory(flight-mode)
add_subdirectory(gestures)
add_subdirectory(hotspot)
add_subdirectory(language)
add_subdirectory(launcher)
add_subdirectory(mouse)
add_subdirectory(notifications)
add_subdirectory(orientation-lock)
add_subdirectory(printing)
add_subdirectory(reset)
add_subdirectory(security-privacy)
add_subdirectory(sound)
add_subdirectory(time-date)
add_subdirectory(vpn)
add_subdirectory(wifi)

=== lib/LomiriSystemSettings/CMakeLists.txt ===
add_library(LomiriSystemSettings SHARED item-base.cpp item-base.h)
set_target_properties(LomiriSystemSettings PROPERTIES
VERSION 1.2.0
SOVERSION 1
)

target_link_libraries(LomiriSystemSettings Qt5::Core Qt5::Gui Qt5::Quick Qt5::Qml)

install(TARGETS LomiriSystemSettings LIBRARY DESTINATION ${LIBDIR})
install(FILES item-base.h ItemBase plugin-interface.h PluginInterface
DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/LomiriSystemSettings")

set(SYSTEMSETTINGS_LIB LomiriSystemSettings)

join_paths(PC_LIBDIR "\${prefix}" "${LIBDIR}")
join_paths(PC_INCLUDEDIR "\${prefix}" "${CMAKE_INSTALL_INCLUDEDIR}")
join_paths(PC_PLUGIN_MANIFEST_DIR "\${prefix}" "${PLUGIN_MANIFEST_DIR_BASE}")
join_paths(PC_PLUGIN_MODULE_DIR "\${libdir}" "${PLUGIN_MODULE_DIR_BASE}")
join_paths(PC_PLUGIN_PRIVATE_MODULE_DIR "\${libdir}" "${PLUGIN_PRIVATE_MODULE_DIR_BASE}")
join_paths(PC_PLUGIN_QML_DIR "\${prefix}" "${PLUGIN_QML_DIR_BASE}")

configure_file(LomiriSystemSettings.pc.in LomiriSystemSettings.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/LomiriSystemSettings.pc DESTINATION ${LIBDIR}/pkgconfig)

=== debian/changelog ===
lomiri-system-settings (1.2.0-1) unstable; urgency=medium

  * New upstream release.
    - Ship l-s-s-security-privacy settings dialogs.
  * debian/control:
    + Add B:/R: for lomiri-system-settings-security-privacy.
    + Bump Standards-Version to 4.7.0. No changes needed.
    + Recommend lomiri >= 0.3.0.
    + Adjust to merged-in security-privacy plugin.
    + Require lomiri-schemas (>= 0.1.5).
    + Add to D: python3, python3-gi (for update-notification-settings script).
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/patches:
    + Drop all patches. Applied upstream.
    + Rebase 2000_use-maliit-keyboard-for-language-plugin.patch.
    + Add 2011_build-without-trust-store.patch and 2012_no-Location-service-
      yet.patch. Build without trust-store and location-service support for
      now.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 17 Jul 2024 12:45:36 +0200

lomiri-system-settings (1.1.0-4) unstable; urgency=medium

  [ Guido Berhoerster ]
  * debian/<systemd-magic>: Add script and systemd path unit for updating
    notifications preferences:
    This watches /usr/lib/lomiri-push-service/legacy-helpers/ for changes and
    updates the GSettings com.lomiri.notifications.settings.applications setting
    accordingly.

  [ Mike Gabriel ]
  * debian/rules:
    + Amend dh_makeshlibs override, use correct path.
  * debian/lomiri-system-settings-notification-settings.{path,service}:
    + Only update applications via lomiri-system-settings-notification-
      settings.service on lomiri session start.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 May 2024 12:03:27 +0200

lomiri-system-settings (1.1.0-3) unstable; urgency=medium

  * debian/patches:
    + Add patches 0006a - 0006c. Support using vendor interface in
      AccountsService for storing background image path.
    + Drop 2001_disable-current-language-switching.patch. Handled
      by upstream commit 722fc6ce.
  * debian/rules:
    + Build with -DENABLE_UBUNTU_ACCOUNTSSERVICE=ON only on Ubuntu and
      derivatives.
  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/control:
    + Recommend lomiri (>= 0.2.1-11~) which has the required AccountsService
      property for patch 0006a.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 21 Apr 2024 10:58:53 +0200

=== debian/control ===
--- 
+++ 
@@ -21,10 +21,12 @@
                libgnome-desktop-3-dev,
                libgsettings-qt-dev,
                libicu-dev,
+               libpolkit-agent-1-dev,
                libqmenumodel-dev,
                libqt5sql5-sqlite <!nocheck>,
                libqtdbusmock1-dev (>= 0.2+14.04.20140724) <!nocheck>,
                libqtdbustest1-dev <!nocheck>,
+               libsystemd-dev,
                libudev-dev,
                libupower-glib-dev,
                pkgconf,
@@ -50,7 +52,7 @@
                suru-icon-theme,
                xvfb <!nocheck>,
                xauth <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-system-settings
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-system-settings.git
@@ -65,10 +67,11 @@
          gsettings-desktop-schemas,
          fonts-noto-core,
          liblomirisystemsettings1 (= ${binary:Version}),
-         lomiri-system-settings-security-privacy,
          lomiri-indicator-network,
-         lomiri-schemas,
+         lomiri-schemas (>= 0.1.5),
          maliit-keyboard,
+         python3,
+         python3-gi,
          qmenumodel-qml,
          qml-module-gsettings1.0,
          qml-module-lomiri-components,
@@ -92,9 +95,13 @@
           dbus-property-service,
           system-image-dbus (>= 3.1),
           urfkill,
-Recommends: lomiri-sounds,
+Recommends: lomiri (>= 0.3.0-1~),
+            lomiri-sounds,
             lomiri-system-settings-online-accounts,
             repowerd,
+Breaks: lomiri-system-settings-security-privacy,
+Replaces: lomiri-system-settings-security-privacy,
+Provides: lomiri-system-settings-security-privacy,
 Description: System Settings application for Lomiri
  Lomiri-system-settings is the System Settings application used in Lomiri
  operating environment. it's designed for phones, tablets and convergent

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,9 @@
 export CONFIGURE_FLAGS := -DENABLE_TESTS=OFF
 endif
 
-
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
+CONFIGURE_FLAGS += -DENABLE_UBUNTU_ACCOUNTSSERVICE=ON
+endif
 
 export HOME=$(CURDIR)/debian/build
 
@@ -58,7 +60,7 @@
 	dh_install -X'*.pyc'
 
 override_dh_makeshlibs:
-	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/ubuntu-system-settings
+	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/lomiri-system-settings
 
 override_dh_missing:
 	dh_missing --fail-missing

## lomiri-system-settings 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.5)
 
-project(lomiri-system-settings VERSION 1.2.0 LANGUAGES C CXX)
+project(lomiri-system-settings VERSION 1.3.0 LANGUAGES C CXX)
 
 if(${PROJECT_BINARY_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    message(FATAL_ERROR "In-tree build attempt detected, aborting. Set your build dir outside your source dir, delete CMakeCache.txt from source root and try again.")

=== lib/LomiriSystemSettings/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 add_library(LomiriSystemSettings SHARED item-base.cpp item-base.h)
 set_target_properties(LomiriSystemSettings PROPERTIES
-VERSION 1.2.0
+VERSION 1.3.0
 SOVERSION 1
 )

=== plugins/language/CMakeLists.txt ===
pkg_search_module(GD3 REQUIRED gnome-desktop-3.0)
include_directories(${GD3_INCLUDE_DIRS} ${GLIB_INCLUDE_DIRS} ${ACCOUNTSSERVICE_INCLUDE_DIRS} ${ICU_INCLUDE_DIRS})
add_definitions(-DQT_NO_KEYWORDS)

set(QML_SOURCES
    DisplayLanguage.qml
    KeyboardLayoutItem.qml
    KeyboardLayouts.qml
    PageComponent.qml
    PageHardwareKeyboard.qml
    RebootNecessary.qml
    SpellChecking.qml
    SubsetView.qml
    ThemeValues.qml
)

add_library(LomiriLanguagePlugin MODULE
 keyboard-layout.cpp language-plugin.cpp plugin.cpp subset-model.cpp onscreenkeyboard-plugin.cpp hardwarekeyboard-plugin.cpp
 keyboard-layout.h language-plugin.h plugin.h subset-model.h onscreenkeyboard-plugin.h hardwarekeyboard-plugin.h
 sessionservice.h sessionservice.cpp
 ${QML_SOURCES})
target_link_libraries(LomiriLanguagePlugin Qt5::Qml Qt5::Quick Qt5::DBus LomiriSystemSettingsPrivate ${GD3_LDFLAGS} ${GLIB_LDFLAGS} ${GIO_LDFLAGS} ${ACCOUNTSSERVICE_LDFLAGS} ${ICU_LDFLAGS})

# Would love to get this from lomiri-keyboard directly, but that's QMake .pri,
# so let's just hardcode here.
target_compile_definitions(LomiriLanguagePlugin PRIVATE
    -DLOMIRI_KEYBOARD_PLUGIN_PATH=\"${CMAKE_INSTALL_FULL_LIBDIR}/lomiri-keyboard/plugins\"
    GETTEXT_PACKAGE="${GETTEXT_PACKAGE}")

set(PLUG_DIR ${PLUGIN_PRIVATE_MODULE_DIR}/Lomiri/SystemSettings/LanguagePlugin)
install(TARGETS LomiriLanguagePlugin DESTINATION ${PLUG_DIR})
install(FILES qmldir DESTINATION ${PLUG_DIR})
install(FILES ${QML_SOURCES} DESTINATION ${PLUGIN_QML_DIR}/language)
install(FILES settings-language.svg DESTINATION ${PLUGIN_MANIFEST_DIR}/icons)
install(FILES language.settings DESTINATION ${PLUGIN_MANIFEST_DIR})

=== plugins/nfc/plugin/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_library(nfc-plugin SHARED nfc-plugin.h nfc-plugin.cpp ../nfcdbushelper.cpp)
target_link_libraries(nfc-plugin Qt5::Core Qt5::Qml Qt5::DBus LomiriSystemSettings)
install(TARGETS nfc-plugin DESTINATION ${PLUGIN_MODULE_DIR})

=== debian/changelog ===
lomiri-system-settings (1.3.0-4build1) plucky; urgency=medium

  * Rebuild against new ppp 2.5.2-1+1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Feb 2025 15:34:04 +0100

lomiri-system-settings (1.3.0-4) unstable; urgency=medium

  * debian/control:
    + Drop python3* build-dependencies. Not needed (autopilot remnants from
      upstream packaging).
    + Pull-in lomiri-keyboard rather than maliit-keyboard.
  * debian/patches:
    + Drop 2000_use-maliit-keyboard-for-language-plugin.patch. Use lomiri-
      keyboard from now on.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 26 Jan 2025 12:27:05 +0100

lomiri-system-settings (1.3.0-3) unstable; urgency=medium

  * debian/control:
    + Drop version from libicu-dev in B-D: field. This was for testing and
      should not have landed in the uploaded package.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 10 Jan 2025 09:58:47 +0100

lomiri-system-settings (1.3.0-2) unstable; urgency=medium

  * debian/patches:
    + Add 1001_dont-hardcode-cxx-standard.patch. (Closes: #1092339).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 07 Jan 2025 17:48:05 +0100

lomiri-system-settings (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 07 Jan 2025 17:20:27 +0100

lomiri-system-settings (1.2.0-2) unstable; urgency=medium

  * debian/rules:
    + Fix sloppy usage of HOME vs. BUILDHOME and its removal during
      dh_auto_clean override. (Closes: #1090244).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 17 Dec 2024 13:15:16 +0100

=== debian/control ===
--- 
+++ 
@@ -30,10 +30,6 @@
                libudev-dev,
                libupower-glib-dev,
                pkgconf,
-               python3-dbus (>= 0.30.2) <!nocheck>,
-               python3-gi <!nocheck>,
-               python3-setuptools,
-               python3:any <!nocheck>,
                qml-module-lomiri-components <!nocheck>,
                qml-module-lomiri-settings-components <!nocheck>,
                qml-module-lomiri-settings-fingerprint <!nocheck>,
@@ -69,9 +65,9 @@
          liblomirisystemsettings1 (= ${binary:Version}),
          lomiri-indicator-network,
          lomiri-schemas (>= 0.1.5),
-         maliit-keyboard,
          python3,
          python3-gi,
+         lomiri-keyboard,
          qmenumodel-qml,
          qml-module-gsettings1.0,
          qml-module-lomiri-components,

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 CONFIGURE_FLAGS += -DENABLE_UBUNTU_ACCOUNTSSERVICE=ON
 endif
 
-export HOME=$(CURDIR)/debian/build
+export BUILDHOME=$(CURDIR)/debian/build
 
 override_dh_auto_configure:
 	# Debian defines CMAKE_INSTALL_LOCALSTATEDIR as /usr/var, which is wrong.
@@ -42,12 +42,12 @@
 	rm -rf $(BUILDHOME)
 
 override_dh_auto_test:
-	mkdir -p $(HOME)
+	mkdir -p $(BUILDHOME)
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 ifneq (,$(filter $(DEB_HOST_ARCH),$(testskip_architectures)))
-	-dh_auto_test --no-parallel
+	export HOME=$(BUILDHOME) && -dh_auto_test --no-parallel
 else
-	dh_auto_test --no-parallel
+	export HOME=$(BUILDHOME) && dh_auto_test --no-parallel
 endif
 endif
